<?php
/*

   Copyright 2010 e-WebFace Networks

   Plugin Name: e-WebFace
Plugin URI: http://www.e-webface.com
Version: 1.0
Autor: e-WebFace Networks
Autor URL: http://e-WebFace.com/
Descrição: A e-Webface é um sistema de videoconferência pela web. Este plugin integra a e-Webface com o WordPress permitindo blogueiros criarem e gerenciarem salas de reuniões para interagir com seus leitores para mais informações sobre como configurar o servidor de e-Webface entre em http://www.e-webface.com

Versão 1.0 escrito por Renato Souza Gengo
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ewebfaceconferencing'.DS.'tables');


/**
 * Meetings Settings Model
 */
class MeetingsModelSettings extends JModel
{

	/**
     * @var array
     */
    var $_data;

	
    /**
     * Returns the query
     * @return string The query to be used to retrieve the rows from the database
     */
    function _buildQuery()
    {
        $query = ' SELECT * '
            . ' FROM #__ewf_settings '
        ;
        return $query;
    }
 
    /**
     * Retrieves the settings data
     * @return array Array of objects containing the data from the database
     */
    function getData()
    {
        // Lets load the data if it doesn't already exist
        if (empty( $this->_data ))
        {
            $query = $this->_buildQuery();
            $this->_data = $this->_getList( $query );
        }
 
        return $this->_data;
    }
		
	/**
	 * Method to store a record
	 */
	function store()
	{
		$row =& $this->getTable();
	 
		$data = JRequest::get('post');
		//Checks to see if either of them are blank
		if($data['salt'] == "" || $data['url'] == ""){
			$this->setError("All fields must be filled.");
			return false;
		}
		
		$salt = array('id' => $data['salt_id'], 'varValue' => $data['salt']);
		
		if(strripos($data['url'], "/bigbluebutton/") == false){
			if(substr($data['url'], -1) == "/"){
				$data['url'] .= "bigbluebutton/";
			}
			else{
				$data['url'] .= "/bigbluebutton/";
			}
		}
		
		$url = array('id' => $data['url_id'], 'varValue' => $data['url']);
		
		// Bind the form fields to the settings table
		if (!$row->bind($salt)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		// Make sure the salt record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the web link table to the database
		if (!$row->store()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		
		// Bind the form fields to the settings table
		if (!$row->bind($url)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
	 
		// Make sure the url record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		// Store the web link table to the database
		if (!$row->store()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
	 
		return true;
	}
}